import bpy
from ... import __package__ as base_package

def module() -> str:
    return base_package


def prefs() -> bpy.types.AddonPreferences:
    addons = bpy.context.preferences.addons
    return addons[module()].preferences


def version() -> tuple:
    from ... import __version__
    return __version__


def save_userpref():
    preferences = bpy.context.preferences

    if preferences.use_preferences_save:
        bpy.ops.wm.save_userpref()


def popup(type: str, message: str):
    def report(self: bpy.types.Menu, context: bpy.types.Context):
        self.layout.emboss = 'NONE'
        self.layout.label(text=message)

    title = f'SIMPLE TABS {type}'
    icon = {'INFO': 'INFO', 'WARNING': 'ERROR', 'ERROR': 'CANCEL'}[type]
    bpy.context.window_manager.popup_menu(report, title=title, icon=icon)
